Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235417 - Review Request: zzuf - Transparent application input fuzzer
Summary: Review Request: zzuf - Transparent application input fuzzer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 16:54 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-07 16:50:59 UTC
bjohnson: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2007-04-05 16:54:48 UTC
http://cachalot.mine.nu/6/SRPMS/zzuf.spec
http://cachalot.mine.nu/6/SRPMS/zzuf-0.8.1-0.1.cmn6.src.rpm

zzuf is a transparent application input fuzzer.  It works by
intercepting file operations and changing random bits in the program's
input.  zzuf's behaviour is deterministic, making it easy to reproduce
bugs.

rpmlint says WTFPL is an invalid license, but it's wrong.

Comment 1 Bernard Johnson 2007-04-06 21:22:49 UTC
Package Review
==============

Key:
 - = N/A
 x = check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output:
     Agreed, rpmlint is wrong.
       W: zzuf invalid-license WTFPL
       W: zzuf invalid-license WTFPL
       W: zzuf-debuginfo invalid-license WTFPL
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must matches the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 1970dcf4f77251bea843b0f6ae19231c
     MD5SUM upstream package: 1970dcf4f77251bea843b0f6ae19231c
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6/i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
     Not required since this is a LD_PRELOAD package
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6/i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: FC-6/i386
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [x] Latest version is packaged.

=== Issues ===
1.

=== Final Notes ===
1.


================
*** APPROVED ***
================

Comment 2 Ville Skyttä 2007-04-06 22:11:29 UTC
Thanks!

New Package CVS Request
=======================
Package Name: zzuf
Short Description: Transparent application input fuzzer
Owners: ville.skytta@iki.fi
Branches: FC-6
InitialCC: 

Comment 3 Ville Skyttä 2007-04-07 16:50:59 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.